<?php

declare(strict_types=1);

namespace App\Controller\TblReporte;

use App\Service\TblReporteService;
use Pimple\Psr11\Container;

abstract class Base
{
    protected Container $container;

    public function __construct(Container $container)
    {
        $this->container = $container;
    }

    protected function getTblReporteService(): TblReporteService
    {
        return $this->container->get('TblReporte_service');
    }
}
